Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util.tokenstream
Class TokenBuffer.CircularTokenStore

    java.lang.Object
      scone.util.tokenstream.TokenBuffer.CircularTokenStore

Enclosing class:
  TokenBuffer

    public class TokenBuffer.CircularTokenStore

extends java.lang.Object

Constructor Summary
`TokenBuffer.CircularTokenStore(int capacity)`
`TokenBuffer.CircularTokenStore(Token[] source)`

Method Summary
`void` | `appendTokens(Token[] src, int offset, int length)`
`int` | `capacity()`
`void` | `discardTokens(int num)`
`void` | `ensureCapacity(int c)`
`int` | `length()`
`void` | `peekTokens(int backwardsOffset, Token[] dest, int destOffset, int length, boolean mustClone)`
`int` | `space()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenBuffer.CircularTokenStore

    public TokenBuffer.CircularTokenStore(int capacity)

### TokenBuffer.CircularTokenStore

    public TokenBuffer.CircularTokenStore(Token[] source)

Method Detail

### appendTokens

    public void appendTokens(Token[] src,
                             int offset,
                             int length)

### discardTokens

    public void discardTokens(int num)

### peekTokens

    public void peekTokens(int backwardsOffset,
                           Token[] dest,
                           int destOffset,
                           int length,
                           boolean mustClone)

### length

    public int length()

### space

    public int space()

### capacity

    public int capacity()

### ensureCapacity

    public void ensureCapacity(int c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD